﻿using System.Windows;

namespace DVCMemoryTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ButtonAddClicked(object sender, RoutedEventArgs e)
        {
            tabControl.Items.Add(new TestChart());
            tabControl.SelectedIndex = 0;

            buttonAdd.IsEnabled = false;
            buttonRemove.IsEnabled = true;
        }

        private void ButtonRemovedClicked(object sender, RoutedEventArgs e)
        {
            // Remove the TestChart. If the TestChart contains the button, the TestChart will be
            // collected by the GC. If the TestChart contains the NChartControl, the Test Chart
            // will not be collected.
            //
            // The reason seems to be that the NChartControl has subscribed to the
            // Dispatcher.ShutdownStarted event.
            tabControl.Items.RemoveAt(0);

            buttonAdd.IsEnabled = true;
            buttonRemove.IsEnabled = false;
        }
    }
}
